#define XERR "cron"
#include "cron.ih"

    // via Fork

void Cron::childProcess()
{
// for testing purposes: 
//                  nothing happens but the received info is sent to cerr
//    string line;
//    getline(cin, line);
//    while (getline(cin, line))
//        xerr(s_agent << line);

    Proc process(s_agent, Proc::REPLACE);

    // ssh-add works OK, but requires package ssh-askpass to be installed

    process.start();

    // this point is never reached
    fmsg << "could not execute `" << s_agent << '\'' << noid;
}
